# Uses of Interface
javax.swing.ComboBoxEditor

Packages that use ComboBoxEditor
Package
Description
javax.swing
Provides a set of "lightweight" (all-Java language) components that, to the maximum degree possible, work the same on all platforms.
javax.swing.plaf.basic
Provides user interface objects built according to the Basic look and feel.
javax.swing.plaf.metal
Provides user interface objects built according to the Java look and feel (once codenamed Metal), which is the default look and feel.

## Uses of ComboBoxEditor in javax.swing

Fields in javax.swing declared as ComboBoxEditor
Modifier and Type
Field
Description
`protected ComboBoxEditor`
JComboBox.`editor`
This protected field is implementation specific.
Methods in javax.swing that return ComboBoxEditor
Modifier and Type
Method
Description
`ComboBoxEditor`
JComboBox.`getEditor()`
Returns the editor used to paint and edit the selected item in the `JComboBox` field.
Methods in javax.swing with parameters of type ComboBoxEditor
Modifier and Type
Method
Description
`void`
JComboBox.`configureEditor(ComboBoxEditor anEditor, Object anItem)`
Initializes the editor with the specified item.
`void`
JComboBox.`setEditor(ComboBoxEditor anEditor)`
Sets the editor used to paint and edit the selected item in the `JComboBox` field.

## Uses of ComboBoxEditor in javax.swing.plaf.basic

Classes in javax.swing.plaf.basic that implement ComboBoxEditor
Modifier and Type
Class
Description
`class`
`BasicComboBoxEditor`
The default editor for editable combo boxes.
`static class`
`BasicComboBoxEditor.UIResource`
A subclass of BasicComboBoxEditor that implements UIResource.
Methods in javax.swing.plaf.basic that return ComboBoxEditor
Modifier and Type
Method
Description
`protected ComboBoxEditor`
BasicComboBoxUI.`createEditor()`
Creates the default editor that will be used in editable combo boxes.

## Uses of ComboBoxEditor in javax.swing.plaf.metal

Classes in javax.swing.plaf.metal that implement ComboBoxEditor
Modifier and Type
Class
Description
`class`
`MetalComboBoxEditor`
The default editor for Metal editable combo boxes
`static class`
`MetalComboBoxEditor.UIResource`
A subclass of BasicComboBoxEditor that implements UIResource.